

/* mgu.c -- gpio functions */ 

#ifndef MGUHINCLUDED
#define MGUHINCLUDED


/* Write a value to one of the gpio files */
int writegpiofile(char *file, char *value);

/* Write nvalue to the gpio number value file to set it on or off. */ 
int setgpiovalue(int gpiono, int nvalue);


/* Read current state of one of the gpio files */
int readgpiofile(char *file, char *readval, size_t rvmax);

/* Read current state of one of the gpio files - return numerical value */
int readgpiovalue(int gpiono);



/* Setup */
int setupgpios();

/* Action */

/* Transmit a byte. */
int txabyte(int byte);

/* Check if we have any byte to read. */
int checkbyte();

/* Receive a byte. */
int rxabyte();

#endif

