

/* mo1.c -- start/stop/run the motors. */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdint.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <poll.h>
#include <signal.h>
#include <math.h>

#include <utilib.h>
#include "hmc6352.h"
#include "mgu.h"

/* mo1 duration (negative for reverse) */

int main(int argc, char **argv)
{
	char *stop;
	int dur, dir;

	dur = 0;
	dir = 1;
	if(argc >= 2)
	{
		dur = strtol(argv[1], &stop, 10); 
	}

	if(dur < 0)
	{
		dir = 0;
		dur = -dur; 
	}

	mimpLR(dur, dur, dir); 
	return(0);
}





