

/* odopro.h -- odometry process: */

#ifndef ODOPROHINCLUDED
#define ODOPROHINCLUDED 1

#define SPIROUKEY 71
#define SEMACOUNT 4

#define SEMSHMX 0
#define SEMTHIS 1
#define SEMTHAT 2
#define SEMOTHER 3

struct spirou_odo
{
	int odo; /* Total run L+R */

	int Lco; /* running counters */
	int Rco;
	int Ldir; /* Direction: GFWD or GBACK */
	int Rdir; /* Direction: GFWD or GBACK */
	int Lthr; /* Limits, run until this is reached, then stop. */ 
	int Rthr;
};


#endif


#if(0)
	sem_P(semid, SEMSHMX);
	odoshm = (struct spirou_odo *) shmat(shmid, NULL, SHM_READONLY);
	X = odoshm->Lco;
	X = odoshm->Rco;
	X = odoshm->Ldir;
	X = odoshm->Rdir;
	X = odoshm->Lthr;
	X = odoshm->Rthr;
	X = odoshm->odo;
	shmdt(odoshm);
	sem_V(semid, SEMSHMX);

	sem_P(semid, SEMSHMX);
	odoshm = (struct spirou_odo *) shmat(shmid, NULL, 0);
	odoshm->Lco ++;
	odoshm->Rco ++;
	odoshm->Ldir = GFWD;
	odoshm->Rdir = GBACK;
	odoshm->Lthr = 0;
	odoshm->Rthr = 0;
	odoshm->odo ++;
	shmdt(odoshm);
	sem_V(semid, SEMSHMX);
#endif


